curl --request GET \
--url https://api.kajabi.com/v1/website_pages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "website_pages",
"attributes": {
"title": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Returns a list of website pages which the current user may access
Use page[number] and page[size] parameters to paginate results:
GET /v1/website_pages[number]=1&page[size]=10GET /v1/website_pages[number]=2&page[size]=25Use the sort parameter to sort the results:
GET /v1/website_pages?sort=created_at&fields[website_pages]=created_atUse the filter[site_id] parameter to get website pages for a specific site:
GET /v1/website_pages?filter[site_id]=123curl --request GET \
--url https://api.kajabi.com/v1/website_pages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "website_pages",
"attributes": {
"title": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Sort order, use: created_at for descending order use '-' e.g. &sort=-created_at
Number of documents
Partial attributes as specified, e.g. fields[website_pages]=title
Was this page helpful?